%define name	primer3
%define version	0.9
%define Version	0_9
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	PCR reactions primers identification
Group:		Sciences/Biology
License:	BSD like
URL:		http://www-genome.wi.mit.edu/genome_software/other/primer3.html
Source:		http://frodo.wi.mit.edu/primer3/%{name}_%{Version}_test.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-buildroot

%description
Primer3 is a complete rewrite of the original PRIMER program
(Primer 0.5), written by Steve Lincoln, Mark Daly, and Eric
Lander.

Primer3 picks primers for PCR reactions, considering as criteria:
- oligonucleotide melting temperature, size, GC content,
  and primer-dimer possibilities
- PCR product size
- positional constraints within the source sequence
- miscellaneous other constraints
All of these criteria are user-specifiable as constraints, and
some are specifiable as terms in an objective function that
characterizes an optimal primer pair.

%prep
%setup -q -n %{name}_%{Version}_test
chmod 644  Copyright README example

%build
cd src && %make CFLAGS="$RPM_OPT_FLAGS" LIBOPTS=""

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 src/primer3_core $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Copyright README example src/release_notes
%{_bindir}/primer3_core

%changelog
* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.9-2mdk 
- rpmbuildupdate aware

* Sat Jan 24 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.9-1mdk
- first mdk release, fater a spec file stolen from Luc Ducazu <luc@biolinux.org>
